<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" exclude-result-prefixes="xpil" xmlns:prop="java.util.Properties" xmlns:xpil="http://www.together.at/2006/XPIL1.0" xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0" version="1.0">
<xsl:output method="html" />
<xsl:param name="auth_type" select="FORM" />
<xsl:param name="username" select="u" />
<xsl:param name="from_element" select="11" />
<xsl:param name="to_element" select="20" />
<xsl:param name="sortCriterion" select="20" />
<xsl:param name="sortAsc" select="true" />
<xsl:param name="total_number" select="200" />
<xsl:param name="sharkEdition" select="e" />
<xsl:param name="enableComments" select="e" />
<xsl:param name="selected_user" select="e" />
<xsl:param name="accessionMap" select="e" />
<xsl:param name="navig_url" select="ProcessInstantiationHandlerPO.po" />
	
<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="navigation.xsl" />
<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="properties.xsl" />
<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="menu.xsl" />
<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="footer.xsl" />
<xsl:template match="xpil:ExtendedWorkflowFacilityInstance">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta http-equiv="content-type" content="text/html; charset='UTF-8'"/>
<title>Process Instantiation</title>
<link href="styles/style.css" rel="stylesheet" type="text/css" media="screen,projection,tv"/>
<link href="styles/style_ie.css" rel="stylesheet" type="text/css" media="screen,projection,tv"/>

<!--[if lte IE 6]>
<link href="styles/style_iel.css" rel="stylesheet" type="text/css" media="screen,projection,tv">
<![endif]-->
<!--[if gte IE 7]>
<link href="styles/style_ie.css" rel="stylesheet" type="text/css" media="screen,projection,tv">
<![endif]-->
<!--[if gte IE 8]>
<link href="styles/style_ien.css" rel="stylesheet" type="text/css" media="screen,projection,tv">
<![endif]-->
<script type="text/javascript" src="js/jslib.js"></script>
<script type="text/javascript" src="js/dynstyles.js"></script>
<script type="text/javascript" src="js/combobox.js"></script>

<script type="text/javascript" xmlns:prop="java.util.Properties" xmlns:xml="http://www.w3.org/XML/1998/namespace" xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0">
function openNewDialogWindow(pageName,windowName,parameters) {
	window.open(pageName,windowName,parameters); 
}

function submitForm(formId, actionAttr) { 
	var formTag = document.getElementById(formId);
	formTag.action=actionAttr; 
	formTag.submit(); 
}

function submitFormEvent(formId, actionAttr,event) {
    var formTag = document.getElementById(formId);
    formTag.action=actionAttr;
    formTag.event.value=event; 
    formTag.submit(); 
}

function submitContentFormWithAction(formId,actionAttr,event, txt) {
    if(confirm(txt)) {
    	alreadySubmited = true;
     	if(window.event != null)
     		window.event.returnValue = false;
    	var formTag = document.getElementById(formId);
  		formTag.action=actionAttr;
    	formTag.event.value=event;
    	formTag.submit();
   	}
}
</script>
</head>
<body>
<form action="javascript: void 0" id="mainForm" method="post" name="mainForm">
<input name="event" type="hidden"/>
<xsl:variable name="rUrl">javascript:submitFormEvent('mainForm','ProcessInstantiationHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />','refresh')</xsl:variable>
<xsl:variable name="disUrl">javascript:submitContentFormWithAction('mainForm','ProcessInstantiationHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />','disableAll','Do you really want to disable all factories?')</xsl:variable>
<xsl:variable name="enUrl">javascript:submitFormEvent('mainForm','ProcessInstantiationHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />','enableAll')</xsl:variable>

<div id="w0">

<!-- page -->
<div id="pw0"><div id="pw">

<!-- header -->
<div id="ph"><div id="phw">

<!-- header menu -->
	<xsl:call-template name="Menu">
		<xsl:with-param name="prop_repository" select="prop:getProperty('repository','true')" />
		<xsl:with-param name="prop_packagelist" select="prop:getProperty('packagelist','true')" />
		<xsl:with-param name="prop_processinst" select="prop:getProperty('processinst','false')" />
		<xsl:with-param name="prop_processmonitor" select="prop:getProperty('processmonitor','true')" />
		<xsl:with-param name="prop_usermanag" select="prop:getProperty('usermanag','true')" />
		<xsl:with-param name="prop_worklist" select="prop:getProperty('worklist','true')" />
		<xsl:with-param name="prop_processlist" select="prop:getProperty('processlist','true')" />
		<xsl:with-param name="prop_cache" select="prop:getProperty('cache','true')" />
		<xsl:with-param name="prop_application" select="prop:getProperty('application','true')" />
		<xsl:with-param name="prop_participant" select="prop:getProperty('participant','true')" />
		<xsl:with-param name="prop_groupmanag" select="prop:getProperty('groupmanag','true')" />
		<xsl:with-param name="sharkEdition" select="$sharkEdition"/>
	</xsl:call-template>
<!-- header menu end -->	
                    
<!-- toolbar -->
<div id="cnthdr">
	<div id="cnthdrw0">
		<div id="cnthdrw">
			<div class="h01">
				<h1>Process Instantiation List</h1>
				<span class="tmdata">
					<xsl:value-of select="$total_number"/> entries				
				</span>
			</div>
			<div align="left">
				<span align="left">
					<xsl:call-template name="Navigation"/>
				</span>
			</div>
			<div class="cnttbw">
				<div class="toolbar">
					<div class="toolbarw0">
						<div class="toolbarw">
							<ul class="toollset toollsetsa">
    							<xsl:if test="$sharkEdition!='community'">
    								<li><a class="lockopen" href="{$enUrl}" title="Enable All"><span></span></a></li>
    								<li><a class="lock" href="{$disUrl}" title="Disable All"><span></span></a></li>
    							</xsl:if>
							</ul>
						</div>
					</div>
				</div>
			</div>	
		</div>
	</div>
</div>
<!-- toolbar end -->
</div></div>
<!-- header end-->

<!-- frame -->
<div id="cntframew"><div id="cntframe"><div id="cnt01">
   
<table class="table01" id="prlistdata" cellspacing="0">
<thead id="table01head">
    <tr>
     	<xsl:choose>
	      	<xsl:when test="$sortCriterion='name'">
	      		<xsl:choose>
	      			<xsl:when test="$sortAsc='true'">
		      			<th class="sortasc">
   							<xsl:variable name="url">javascript:submitFormEvent('mainForm','ProcessInstantiationHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=name&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')" />','sort')</xsl:variable>
 			      			<a href="{$url}">Id</a>
			      		</th>	
			      	</xsl:when>
			      	<xsl:otherwise>
		      			<th class="sortdesc">
							<xsl:variable name="url">javascript:submitFormEvent('mainForm','ProcessInstantiationHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=name&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')" />','sort')</xsl:variable>
 			      			<a href="{$url}">Id</a>
			      		</th>	
			      	</xsl:otherwise>
			    </xsl:choose>	
			</xsl:when>
			<xsl:otherwise>
				<th class="sortable">
					<xsl:variable name="url">javascript:submitFormEvent('mainForm','ProcessInstantiationHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=name&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')" />','sort')</xsl:variable> 			    	
					<a href="{$url}">Id</a>
				</th>	
			</xsl:otherwise>
		</xsl:choose>
    
    	<xsl:choose>
	      	<xsl:when test="$sortCriterion='packageid'">
	      		<xsl:choose>
	      			<xsl:when test="$sortAsc='true'">
		      			<th class="sortasc">
                            <xsl:variable name="url">javascript:submitFormEvent('mainForm','ProcessInstantiationHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=packageid&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')" />','sort')</xsl:variable>
			      			<a href="{$url}">Package Id</a>
			      		</th>	
			      	</xsl:when>
			      	<xsl:otherwise>
		      			<th class="sortdesc">
                            <xsl:variable name="url">javascript:submitFormEvent('mainForm','ProcessInstantiationHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=packageid&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')" />','sort')</xsl:variable>
			      			<a href="{$url}">Package Id</a>
			      		</th>	
			      	</xsl:otherwise>
			    </xsl:choose>	
			</xsl:when>
			<xsl:otherwise>
				<th class="sortable">
                    <xsl:variable name="url">javascript:submitFormEvent('mainForm','ProcessInstantiationHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=packageid&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')" />','sort')</xsl:variable>
			    	<a href="{$url}">Package Id</a>
			    </th>	
			</xsl:otherwise>
		</xsl:choose>

     	<xsl:choose>
	      	<xsl:when test="$sortCriterion='processdefid'">
	      		<xsl:choose>
	      			<xsl:when test="$sortAsc='true'">
		      			<th class="sortasc">
                             <xsl:variable name="url">javascript:submitFormEvent('mainForm','ProcessInstantiationHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=processdefid&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')" />','sort')</xsl:variable>
 			      			<a href="{$url}">Process Definition Id</a>
			      		</th>	
			      	</xsl:when>
			      	<xsl:otherwise>
		      			<th class="sortdesc">
                             <xsl:variable name="url">javascript:submitFormEvent('mainForm','ProcessInstantiationHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=processdefid&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')" />','sort')</xsl:variable>
 			      			<a href="{$url}">Process Definition Id</a>
			      		</th>	
			      	</xsl:otherwise>
			    </xsl:choose>	
		    </xsl:when>
		    <xsl:otherwise>
      			<th class="sortable">
                             <xsl:variable name="url">javascript:submitFormEvent('mainForm','ProcessInstantiationHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=processdefid&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')" />','sort')</xsl:variable>
 	      			<a href="{$url}">Process Definition Id</a>
	      		</th>	
		    </xsl:otherwise>
		</xsl:choose>
      
     	<xsl:choose>
	      	<xsl:when test="$sortCriterion='version'">
	      		<xsl:choose>
	      			<xsl:when test="$sortAsc='true'">
		      			<th class="sortasc">
                            <xsl:variable name="url">javascript:submitFormEvent('mainForm','ProcessInstantiationHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=version&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')" />','sort')</xsl:variable>
 			      			<a href="{$url}">Version</a>
			      		</th>	
			      	</xsl:when>
			      	<xsl:otherwise>
		      			<th class="sortdesc">
                            <xsl:variable name="url">javascript:submitFormEvent('mainForm','ProcessInstantiationHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=version&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')" />','sort')</xsl:variable>
 			      			<a href="{$url}">Version</a>
			      		</th>	
			      	</xsl:otherwise>
			    </xsl:choose>	
			</xsl:when>
			<xsl:otherwise>
	   			<th class="sortable">
                    <xsl:variable name="url">javascript:submitFormEvent('mainForm','ProcessInstantiationHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=version&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')" />','sort')</xsl:variable>
 					<a href="{$url}">Version</a>
				</th>	
			</xsl:otherwise>    
		</xsl:choose>     
     
    	<xsl:choose>
	      	<xsl:when test="$sortCriterion='state'">
	      		<xsl:choose>
	      			<xsl:when test="$sortAsc='true'">
		      			<th class="sortasc">
                            <xsl:variable name="url">javascript:submitFormEvent('mainForm','ProcessInstantiationHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=state&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')" />','sort')</xsl:variable>
 			      			<a href="{$url}">State</a>
			      		</th>	
			      	</xsl:when>
			      	<xsl:otherwise>
		      			<th class="sortdesc">
                            <xsl:variable name="url">javascript:submitFormEvent('mainForm','ProcessInstantiationHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=state&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')" />','sort')</xsl:variable>
 			      			<a href="{$url}">State</a>
			      		</th>	
			      	</xsl:otherwise>
			    </xsl:choose>	
			</xsl:when>
			<xsl:otherwise>
				<th class="sortable">
                    <xsl:variable name="url">javascript:submitFormEvent('mainForm','ProcessInstantiationHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=state&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')" />','sort')</xsl:variable>
 		   			<a href="{$url}">State</a>
	      		</th>	
			</xsl:otherwise>
		</xsl:choose>    
    </tr>
</thead>

<tbody class="table01body">
<xsl:variable name="Attr1" select="//."/>
<xsl:for-each select="$Attr1[name()='xpil:PackageInstance']">
	<xsl:variable name="oddEven">
		<xsl:choose>
			<xsl:when test="(position() mod 2) = 0">odd</xsl:when>
			<xsl:otherwise>even</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	<tr class="{$oddEven}">			
		<td class="actcoltd">
			<div class="cntm">
				<div class="cntmw">
				    <ul class="cntmlist">
                       <xsl:variable name="enableUrl">javascript:submitFormEvent('mainForm','ProcessInstantiationHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;pro_id=<xsl:value-of select="xpil:WorkflowProcessFactoryInstances/xpil:WorkflowProcessFactoryInstance/xpdl:WorkflowProcess/@Id" />&#38;package_id=<xsl:value-of select="@Id" />&#38;version=<xsl:value-of select="@Version" />','enable')</xsl:variable>
                       <xsl:variable name="disableUrl">javascript:submitContentFormWithAction('mainForm','ProcessInstantiationHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;pro_id=<xsl:value-of select="xpil:WorkflowProcessFactoryInstances/xpil:WorkflowProcessFactoryInstance/xpdl:WorkflowProcess/@Id" />&#38;package_id=<xsl:value-of select="@Id" />&#38;version=<xsl:value-of select="@Version" />','disable','Do you really want to disable factory?')</xsl:variable>
                       <xsl:variable name="tUrl">javascript:submitContentFormWithAction('mainForm','ProcessInstantiationHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;page=ProcessInstantiationHandlerPO.po&#38;pro_id=<xsl:value-of select="xpil:WorkflowProcessFactoryInstances/xpil:WorkflowProcessFactoryInstance/xpdl:WorkflowProcess/@Id" />&#38;package_id=<xsl:value-of select="@Id" />&#38;version=<xsl:value-of select="@Version" />','terminateAll','Do you really want to terminate all processes from factory?')</xsl:variable>
                       <xsl:variable name="dUrl">javascript:submitContentFormWithAction('mainForm','ProcessInstantiationHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;page=ProcessInstantiationHandlerPO.po&#38;pro_id=<xsl:value-of select="xpil:WorkflowProcessFactoryInstances/xpil:WorkflowProcessFactoryInstance/xpdl:WorkflowProcess/@Id" />&#38;package_id=<xsl:value-of select="@Id" />&#38;version=<xsl:value-of select="@Version" />','deleteAll','Do you really want to delete all processes from factory?')</xsl:variable>
                       <xsl:variable name="fdUrl">javascript:submitContentFormWithAction('mainForm','ProcessInstantiationHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;pro_id=<xsl:value-of select="xpil:WorkflowProcessFactoryInstances/xpil:WorkflowProcessFactoryInstance/xpdl:WorkflowProcess/@Id" />&#38;package_id=<xsl:value-of select="@Id" />&#38;version=<xsl:value-of select="@Version" />','fastDelete','Do you really want to delete all processes from factory?')</xsl:variable>
                       <xsl:variable name="revUrl">javascript:submitFormEvent('mainForm','ProcessInstantiationHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;page=ProcessInstantiationHandlerPO.po&#38;pro_id=<xsl:value-of select="xpil:WorkflowProcessFactoryInstances/xpil:WorkflowProcessFactoryInstance/xpdl:WorkflowProcess/@Id" />&#38;package_id=<xsl:value-of select="@Id" />&#38;version=<xsl:value-of select="@Version" />','revaluateAss')</xsl:variable>
                       <xsl:variable name="cUrl">javascript:submitFormEvent('mainForm','ProcessInstantiationHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;page=ProcessInstantiationHandlerPO.po&#38;pro_id=<xsl:value-of select="xpil:WorkflowProcessFactoryInstances/xpil:WorkflowProcessFactoryInstance/xpdl:WorkflowProcess/@Id" />&#38;package_id=<xsl:value-of select="@Id" />&#38;version=<xsl:value-of select="@Version" />','checkDl')</xsl:variable>
                       <xsl:variable name="lUrl">javascript:submitFormEvent('mainForm','ProcessInstantiationHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;page=ProcessInstantiationHandlerPO.po&#38;pro_id=<xsl:value-of select="xpil:WorkflowProcessFactoryInstances/xpil:WorkflowProcessFactoryInstance/xpdl:WorkflowProcess/@Id" />&#38;package_id=<xsl:value-of select="@Id" />&#38;version=<xsl:value-of select="@Version" />','checkLimit')</xsl:variable>
                       <xsl:variable name="procGraphUrl">javascript:openNewDialogWindow('prof/ShowProcessGraphPO.po?pro_id=<xsl:value-of select="xpil:WorkflowProcessFactoryInstances/xpil:WorkflowProcessFactoryInstance/xpdl:WorkflowProcess/@Id" />&#38;package_id=<xsl:value-of select="@Id" />&#38;version=<xsl:value-of select="@Version" />','dialog3','width=800,height=600,resizable=yes,scrollbars=yes,left=300,top=200')</xsl:variable>
                       <xsl:variable name="stateVar"><xsl:value-of select="xpil:WorkflowProcessFactoryInstances/xpil:WorkflowProcessFactoryInstance/@State" /></xsl:variable>
                       <xsl:variable name="createUrl">javascript:submitFormEvent('mainForm','ProcessInstantiationHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;pro_id=<xsl:value-of select="xpil:WorkflowProcessFactoryInstances/xpil:WorkflowProcessFactoryInstance/xpdl:WorkflowProcess/@Id" />&#38;package_id=<xsl:value-of select="@Id" />&#38;version=<xsl:value-of select="@Version" />','create')</xsl:variable>
						
                       <xsl:choose>
		                   <xsl:when test="$stateVar='enabled'">
								<li><a class="procNew" href="{$createUrl}"><span>Create</span></a></li>
								<xsl:if test="$sharkEdition!='community'">
									<li><a class="procDis" href="{$disableUrl}"><span>Disable</span></a></li>
								</xsl:if>		                   
		                   </xsl:when>
		                   <xsl:otherwise>
						   		<xsl:if test="$sharkEdition!='community'">
						   			<li><a class="procEnab" href="{$enableUrl}"><span>Enable</span></a></li>
		                   		</xsl:if>
		                   </xsl:otherwise>
		               </xsl:choose>   
		               <xsl:if test="$sharkEdition!='community'">
							<li><a class="procTerm" href="{$tUrl}"><span>Terminate All Processes</span></a></li>
							<li><a class="procDel" href="{$dUrl}"><span>Delete All Processes</span></a></li>
							<li><a class="fastdel" href="{$fdUrl}"><span>Fast delete All Processes</span></a></li>
							<li><a class="procReev" href="{$revUrl}"><span>Re-evaluate Assignments</span></a></li>
							<li><a class="procCheck" href="{$cUrl}"><span>Check Deadlines</span></a></li>
							<li><a class="procLim" href="{$lUrl}"><span>Check Limits</span></a></li>
							<li><a class="procDefGr" href="{$procGraphUrl}"><span>Proces definition graph</span></a></li>
		               </xsl:if> 
				    </ul>
				</div>
			</div>
			<a href="javascript: void(0)"><xsl:value-of select="xpil:WorkflowProcessFactoryInstances/xpil:WorkflowProcessFactoryInstance/@Id" /></a>
		</td>	
		<td>
			<xsl:value-of select="@Id" />
		</td>
		<td>
			<xsl:value-of select="xpil:WorkflowProcessFactoryInstances/xpil:WorkflowProcessFactoryInstance/xpdl:WorkflowProcess/@Id" />
		</td>
		<td>
			<xsl:value-of select="@Version" />
		</td>
		<td>
			<xsl:value-of select="xpil:WorkflowProcessFactoryInstances/xpil:WorkflowProcessFactoryInstance/@State" />
		</td>
	</tr>
</xsl:for-each>
</tbody>
</table>

</div></div></div>
<!-- frame end -->    

<!-- footer -->
	<xsl:call-template name="Footer"></xsl:call-template>
<!-- footer end -->

</div></div>
<!-- page end -->

</div>

<script type="text/javascript">
//<![CDATA[

dynStyleSet(['tbodyFrame', 'thHighlight', 'tatdHighlight']);

//]]>
</script>

</form>
</body>
</html>
</xsl:template>
</xsl:stylesheet>